### Method

# Gtk ColumnViewSorterget_n_sort_columns

since: 4.10

#### Declaration [src]

    guint
    gtk_column_view_sorter_get_n_sort_columns (
      GtkColumnViewSorter* self
    )

#### Description [src]

Returns the number of columns by which the sorter sorts.

If the sorter of the primary sort column does not determine a total order, then the secondary sorters are consulted to break the ties.

Use the `GtkSorter::changed` signal to get notified when the number of sort columns changes.

Available since: 4.10

#### Return value

Type: `guint`

The number of sort columns.